package com.bwie.auth.service;

import com.bwie.common.domain.User;
import com.bwie.common.domain.request.UserReq;
import com.bwie.common.domain.response.JwtResp;

/**
 * @Author：weiran
 * @Package：com.bwie.auth.service
 * @Project：monthA8.12
 * @name：AuthService
 * @Date：2024/8/12 9:23
 */
public interface AuthService {

    /**
     * 发送验证码
     */
    String sendcode(String userPhone);

    /**
     * 登录
     * @param userReq
     * @return
     */
    JwtResp login(UserReq userReq);

    User getInfo();
}
