package com.bwie.common.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：weiran
 * @Package：com.bwie.common.domain
 * @Project：monthA8.12
 * @name：User
 * @Date：2024/8/12 9:18
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class User {

    /**
     * 用户Id
     */
    private Integer userId;
    /**
     * 用户账号
     */
    private String userName;
    /**
     * 用户密码
     */
    private String userPhone;
    /**
     * 用户账户余额
     */
    private Double userMoney;
}
