package com.bwie.coupon;

import com.bwie.coupon.service.CouponService;
import org.springframework.amqp.core.Queue;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Bean;

import javax.annotation.PostConstruct;

/**
 * @Author：weiran
 * @Package：com.bwie.coupon
 * @Project：monthA8.12
 * @name：CouponApplication
 * @Date：2024/8/12 11:11
 */
@SpringBootApplication
@EnableFeignClients
public class CouponApplication {
    public static void main(String[] args) {
        SpringApplication.run(CouponApplication.class,args);
    }



    @Bean
    public Queue initQueue(){
        return new Queue("updatemoney");
    }



}
