package com.bwie.coupon.feign;

import com.bwie.common.domain.request.ReduceMoneyReq;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @Author：weiran
 * @Package：com.bwie.coupon.feign
 * @Project：monthA8.12
 * @name：CouponFeign
 * @Date：2024/8/12 17:34
 */
@FeignClient("bwie-user")
public interface CouponFeign {

    @PostMapping("/user/user/addmoney")
    Result addmoney(@RequestBody ReduceMoneyReq reduceMoneyReq);
}
