package com.bwie.coupon.service;

import com.bwie.common.domain.Coupon;
import com.bwie.common.domain.MyCoupon;
import com.bwie.common.domain.Order;
import com.bwie.common.domain.Type;
import com.bwie.common.domain.request.CouponBuyReq;
import com.bwie.common.domain.request.CouponReq;
import com.bwie.common.domain.request.CouponSellReq;
import com.bwie.common.domain.response.CouponResp;

import java.util.List;

/**
 * @Author：weiran
 * @Package：com.bwie.coupon.service
 * @Project：monthA8.12
 * @name：CouponService
 * @Date：2024/8/12 11:04
 */
public interface CouponService {

    /**
     * 展示券码列表
     * @param couponReq
     * @return
     */
    List<CouponResp> getList(CouponReq couponReq);

    /**
     * 展示券码类型列表
     */
    List<Type> getTypeList();

    List<Type> gettypeListBytypeGroupname();

    Integer buy(CouponBuyReq couponBuyReq);


    List<MyCoupon> findMycoupon();

    void del(CouponSellReq couponSellReq);

    void updes();


    List<CouponResp> choosetypeRroup(String typeGroupname);
}
