package com.bwie.mq;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * @Author：weiran
 * @Package：com.bwie.mq
 * @Project：monthA8.12
 * @name：MqApplication
 * @Date：2024/8/12 9:09
 */
@SpringBootApplication
@EnableFeignClients
public class MqApplication {
    public static void main(String[] args) {
        SpringApplication.run(MqApplication.class,args);
    }
}
