package com.bwie.mq.feign;

import com.bwie.common.domain.Coupon;
import com.bwie.common.domain.request.CouponReq;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @Author：weiran
 * @Package：com.bwie.mq.feign
 * @Project：monthA8.12
 * @name：ToEsFeign
 * @Date：2024/8/12 18:02
 */
@FeignClient("bwie-es")
public interface ToEsFeign {


    /**
     * 批量添加
     * @param coupons
     */
    @PostMapping("/es/es/bathadd")
    public Result bathadd(@RequestBody List<Coupon> coupons);


    /**
     * 查询
     */
    @PostMapping("/es/es/search")
    public Result search(@RequestBody CouponReq couponReq);
}
