package com.bwie.user.service.impl;

import com.bwie.common.domain.User;
import com.bwie.common.domain.request.ReduceMoneyReq;
import com.bwie.common.domain.request.UserReq;
import com.bwie.user.mapper.UserMapper;
import com.bwie.user.service.UserService;
import org.omg.CORBA.PRIVATE_MEMBER;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Author：weiran
 * @Package：com.bwie.user.service.impl
 * @Project：monthA8.12
 * @name：UserServiceImpl
 * @Date：2024/8/12 9:37
 */
@Service
public class UserServiceImpl implements UserService {

    @Autowired
    private UserMapper userMapper;

    /**
     * 根据手机号查询用户信息
     * @param userPhone
     * @return
     */
    @Override
    public User findByuserPhone(String userPhone) {
        return userMapper.findByuserPhone(userPhone);
    }

    @Override
    public Integer adduser(User user) {
        Integer adduser = userMapper.adduser(user);
        return adduser;
    }

    @Override
    public Integer changemoney(ReduceMoneyReq reduceMoneyReq) {
        return userMapper.changemoney(reduceMoneyReq);
    }

    @Override
    public Integer addmoney(ReduceMoneyReq reduceMoneyReq) {

        return userMapper.updaddmoney(reduceMoneyReq);
    }


}
