package com.bwie.common.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：weiran
 * @Package：com.bwie.common.domain
 * @Project：monthA8.12
 * @name：Coupon
 * @Date：2024/8/12 10:57
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Coupon {

    /**
     * 券Id
     */
    private String couponId;

    /**
     * 券名
     */
    private String couponName;

    /**
     * 库存量
     */
    private String couponNum;

    /**
     * 价格
     */
    private String couponPrice;

    /**
     * 状态
     */
    private String couponStatus;

    /**
     * 类型Id
     */
    private String typeId;



}
