package com.bwie.common.domain.request;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：weiran
 * @Package：com.bwie.common.domain.request
 * @Project：monthA8.12
 * @name：CouponBuyReq
 * @Date：2024/8/12 15:21
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CouponBuyReq {
    /**
     * 券Id
     */
    private Integer couponId;

    /**
     * 券名
     */
    private String couponName;

    /**
     * 库存量
     */
    private Integer couponNum;

    /**
     * 价格
     */
    private Double couponPrice;

    /**
     * 状态
     */
    private Integer couponStatus;

    /**
     * 类型Id
     */
    private Integer typeId;

    /**
     * 兑换码
     */
    private String exchangeNum;

    /**
     * 支付总价格
     */
    private Double money;








}
