package com.bwie.common.domain.response;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：weiran
 * @Package：com.bwie.common.domain.response
 * @Project：monthA8.12
 * @name：CouponResp
 * @Date：2024/8/12 11:01
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CouponResp {

    /**
     * 券Id
     */
    private String couponId;

    /**
     * 券名
     */
    private String couponName;

    /**
     * 库存量
     */
    private String couponNum;

    /**
     * 价格
     */
    private String couponPrice;

    /**
     * 状态
     */
    private String couponStatus;

    /**
     * 类型Id
     */
    private String typeId;
    /**
     * 类型名称
     */
    private String typeName;

    /**
     * 分组
     */
    private String typeRroup;
}
