package com.bwie.coupon.mapper;

import com.bwie.common.domain.Coupon;
import com.bwie.common.domain.MyCoupon;
import com.bwie.common.domain.Type;
import com.bwie.common.domain.request.CouponBuyReq;
import com.bwie.common.domain.request.CouponReq;
import com.bwie.common.domain.request.CouponSellReq;
import com.bwie.common.domain.response.CouponResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * @Author：weiran
 * @Package：com.bwie.coupon.mapper
 * @Project：monthA8.12
 * @name：CouponMapper
 * @Date：2024/8/12 11:03
 */
@Mapper
public interface CouponMapper {

    List<CouponResp> getList(CouponReq couponReq);

    List<Type> getTypeList();

    List<Type> gettypeListBytypeGroupname();

    Integer addorder(CouponBuyReq couponBuyReq);

    void reducecouponNum(@Param("couponId") Integer couponId);

    void addmycoupon(CouponBuyReq couponBuyReq);

    List<MyCoupon> findMycoupon();

    void del(CouponSellReq couponSellReq);

    List<Coupon> findall();

    MyCoupon findByname(@Param("couponName") String couponName);

    List<CouponResp> choosetypeRroup(@Param("typeGroupname") String typeGroupname);
}
