package com.bwie.mq.feign;

import com.bwie.common.domain.request.ReduceMoneyReq;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @Author：weiran
 * @Package：com.bwie.mq.feign
 * @Project：monthA8.12
 * @name：MqFeign
 * @Date：2024/8/12 16:24
 */
@FeignClient("bwie-user")
public interface MqFeign {

    @PostMapping("/user/user/changemoney")
    Result changemoney(@RequestBody ReduceMoneyReq reduceMoneyReq);
}
