package com.bwie.user.mapper;

import com.bwie.common.domain.User;
import com.bwie.common.domain.request.ReduceMoneyReq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Author：weiran
 * @Package：com.bwie.user.mapper
 * @Project：monthA8.12
 * @name：UserMapper
 * @Date：2024/8/12 9:37
 */
@Mapper
public interface UserMapper {

    User findByuserPhone(@Param("userPhone") String userPhone);

    Integer adduser(User user);

    Integer changemoney(ReduceMoneyReq reduceMoneyReq);


    Integer updaddmoney(ReduceMoneyReq reduceMoneyReq);
}
